Scale Node Group Endpoint
import requests
url = "https://platform.ankra.app/api/v1/clusters/ovh/{cluster_id}/node-groups/{group_name}/scale"
payload = { "count": 123 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({count: 123})
};
fetch('https://platform.ankra.app/api/v1/clusters/ovh/{cluster_id}/node-groups/{group_name}/scale', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PUT \
--url https://platform.ankra.app/api/v1/clusters/ovh/{cluster_id}/node-groups/{group_name}/scale \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"count": 123
}'{
"group_name": "<string>",
"new_count": 123,
"previous_count": 123
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}OVH Clusters
Scale Node Group Endpoint
PUT
/
api
/
v1
/
clusters
/
ovh
/
{cluster_id}
/
node-groups
/
{group_name}
/
scale
Scale Node Group Endpoint
import requests
url = "https://platform.ankra.app/api/v1/clusters/ovh/{cluster_id}/node-groups/{group_name}/scale"
payload = { "count": 123 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({count: 123})
};
fetch('https://platform.ankra.app/api/v1/clusters/ovh/{cluster_id}/node-groups/{group_name}/scale', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PUT \
--url https://platform.ankra.app/api/v1/clusters/ovh/{cluster_id}/node-groups/{group_name}/scale \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"count": 123
}'{
"group_name": "<string>",
"new_count": 123,
"previous_count": 123
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Body
application/json